Permalink
Browse files

Only bundle em-synchrony if Ruby version >= 1.9

  • Loading branch information...
1 parent c2caf12 commit 6ad87c114a65c3c7fdb12b5d64746deb258d1140 @sferik sferik committed Dec 7, 2010
Showing with 5 additions and 2 deletions.
  1. +4 −1 Gemfile
  2. +1 −1 Gemfile.lock
View
@@ -9,7 +9,10 @@ group :development, :test do
gem 'typhoeus', '~> 0.2'
gem 'eventmachine', '~> 0.12'
gem 'em-http-request', '~> 0.2', :require => 'em-http'
- gem 'em-synchrony', '~> 0.2', :require => ['em-synchrony', 'em-synchrony/em-http']
+ major, minor, patch = RUBY_VERSION.split('.')
+ if major.to_i >= 1 && minor.to_i >= 9
+ gem 'em-synchrony', '~> 0.2', :require => ['em-synchrony', 'em-synchrony/em-http']
+ end
end
gemspec
View
@@ -40,4 +40,4 @@ DEPENDENCIES
rack (>= 1.1.0, < 2)
rake (~> 0.8)
sinatra (~> 1.1)
- typhoeus (~> 0.1)
+ typhoeus (~> 0.2)

0 comments on commit 6ad87c1

Please sign in to comment.